{% load i18n %}
{% load staticfiles %}
{% load data_filters %}

	<table style="margin-bottom:2px; margin-top:10px; float:left; width:100%;">
	    <tr class="panel-header">
	      <td>
	        <span style="font-size:15px; margin-top:-5px; padding-right:20px;">
	          <b>User Management</b>
	        </span>
	      </td>
	    </tr>
	</table>

	<table border="0" style="margin-bottom:2px; margin-top:-2px; float:left; width:100%;">
	    <tr style="padding:5px; height:auto;">
	      <td colspan="2" style="padding:0px;">
	        <div class="datagrid-toolbar">

	        {% include 'base_filter.html' %}
	          <div style="height:27px; display:block;">
	            <span style="float:left">
	              <a type="button" data-options="iconCls:'icon-add',plain:true" class="cls_op easyui-linkbutton" href="{% url 'user_append' %}" class="addlink">
	                {% trans "New" %}
	              </a>
	            </span>
				  <span class="nav">
				    <li>
				      <a href="#" class="easyui-linkbutton" iconCls="icon-sum">{%trans "Operation for selected" %}&nbsp;</a>
				        <ul style="width:200px;">
				          <li>
				            <a href="#" onclick="user_delete()">Delete</a>
				          </li>
				        </ul>
				    </li>
				  </span>
	          </div>
	        </div>
	      </td>
	    </tr>
	</table>

	<script type="text/javascript">
    function user_delete(){
      var ss = [];
      var is_default = false; //是否选择default user标识符
      var rows = $('#dg').datagrid('getSelections');
      var re = /<a[^>]*href=['"]([^"]*)['"][^>]*>(.*?)<\/a>/; //正则表达式
      for(var i = 0; i < rows.length; i++){
        var row = rows[i];
        var username = re.exec(row.username)[2]
        if(username == 'admin'){
          is_default = true;
        }
        ss.push(username);
      }
      if(ss.length <= 0){
          alert('You don\'t select');
      }
      else{
        if(is_default){
          alert('You can not delete the default user!' );
        }
        else{
          $.ajax({
            url: "{% url 'user_delete' %}",
            data: 'usernames=' + ss,
            type: 'POST',
            success: function(data,status){
                      if(data[0] == '1')
                      {
                        alert(data.substring(1) + 'delete error!\nYou can\'t delete yourself!' );
                      }
                      window.location.href = "{% url 'user' %}"; //跳转页面
                    }
          });
        }
      }
    }
	</script>